<?php
// FORMATO DE IMPRESION PARA RECIBO CONTINUO POR OTROS INGRESOS

require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
//        $this->Ln(20);
        $this->Ln();
}

//Page footer
function Footer2()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");
include("../num2letras.php");

$txtfi=explode("/",$txtfi);
$txtff=explode("/",$txtff);
$fi=$txtfi[2]."-".$txtfi[1]."-".$txtfi[0];
$ff=$txtff[2]."-".$txtff[1]."-".$txtff[0];

$pdf=new PDF('L','mm','Letter');
$pdf->SetMargins(10,10.00,0.00);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->Encabezado($nombre_colegio,"REPORTE DE ALUMNOS PREINSCRITOS");

$pdf->SetFont('Arial','',12);
$pdf->Ln(3);

$pdf->Ln(10);

$columnas=Array();
$columnas[0]=50;
$columnas[1]=50;
$columnas[2]=25;
$columnas[3]=70;
$columnas[4]=25;
$columnas[5]=25;
$pdf->SetFillColor(255,255,255);
$pdf->SetStyle("B",true);
$pdf->Cell($columnas[0],5,"NOMBRES",0,0,"L");
$pdf->Cell($columnas[1],5,"APELLIDOS",0,0,"L");
$pdf->Cell($columnas[2],5,"TEL CASA",0,0,"L");
$pdf->Cell($columnas[3],5,"ENCARGADO",0,0,"L");
$pdf->Cell($columnas[4],5,"TEL CASA",0,0,"L");
$pdf->Cell($columnas[5],5,"TEL MOVIL",0,1,"L");
$pdf->SetStyle("B",false);
$pdf->Cell(245,0.1,"",1,1);
$sql="select * from preinscripciones where inscrito <> 'S' order by apellido, nombre";
$qalm=mysql_query($sql);
$i=0;
while($ialm=mysql_fetch_array($qalm)){
 $pdf->Cell($columnas[0],5,$ialm[nombre],0,0,"L",1);
 $pdf->Cell($columnas[1],5,$ialm[apellido],0,0,"L",1);
 $pdf->Cell($columnas[2],5,$ialm[tel_casa],0,0,"L",1);
 $pdf->Cell($columnas[3],5,$ialm[enc_nombre],0,0,"L",1);
 $pdf->Cell($columnas[4],5,$ialm[enc_telefono],0,0,"L",1);
 $pdf->Cell($columnas[5],5,$ialm[enc_telefonom],0,1,"L",1);
 $i++;
}
 $pdf->Cell(245,0.1,"",1,1);
 $pdf->SetStyle("B",true);
 $pdf->Cell(270,5,"TOTAL: $i Alumno(s) preinscrito(s)",0,1,"L");
 $pdf->SetStyle("B",false);
 $pdf->Cell(245,0.1,"",1,1);
//FIN RESUMEN GENERAL
//$pdf->Output("alumnos_preinscritos.pdf","D");
$pdf->Output();
exit();
?>
